// 12-9-2012
// 

import fullscreen.*; 
FullScreen fs;

PImage BackGroundImage;
PFont maFonte;
int Tete; 
int LargeurEllipse = 34, HauteurEllipse = 53;
int[] d = { 
  46, 250, //1
  58, 78, //2
  137, 19, //3
  134, 146, //4
  209, 213, //5
  206, 82, //6
  335, 88, //7
  294, 218, //8
  330, 301, //9
  378, 231, //10
  376, 112, //11
  459, 66, //12
  475, 193, //13
  555, 90, //14
  554, 220, //15
  601, 30, //16
  646, 98, //17
  652, 250, //18
  722, 78, //19
  713, 229  //20
};


void setup() 
{
  size(800, 600);
  frameRate(30);
  // The background image must be the same size as the parameters
  // into the size() method.
  //  BackGroundImage = loadImage("trousdememoire.jpg");
  BackGroundImage = loadImage("trousdememoire2.jpg");
  maFonte = loadFont("Helvetica-50.vlw");
  textFont(maFonte);
  smooth();

  fs = new FullScreen(this); 
  fs.enter(); // enter fullscreen mode
}

void draw() {
  background(BackGroundImage);
  ellipseMode(CORNER);  // Set ellipseMode is CORNER
  noStroke();
  fill(255);  // Set fill to white 
  for (int i = 0; i < 40; i = i+2) {
    if (Tete != (i/2 + 1)) {
      ellipse(d[i], d[i + 1], LargeurEllipse, HauteurEllipse);
    }
  }

  if (mousePressed == true) {
    String[] params = {
      "TestLayerSpectrum/TestLayerSpectrum.pde"
    };
    open(params);
    Tete = 0;
    for (int i = 0; i < 40; i = i+2) {
      ellipse(d[i], d[i + 1], LargeurEllipse, HauteurEllipse);
      if (mouseX >= d[i] && mouseX <= d[i]+LargeurEllipse && mouseY >= d[i + 1] && mouseY <= d[i + 1]+HauteurEllipse) {
        Tete = i/2 + 1;
      }
    }
    // println("Tete = " + Tete + "  MouseX = " + mouseX);
    fill(100, 100, 255);
    text("Tete = " + Tete, 300, 580);
  }
}

